Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ide
Class BasicProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.ProjectWizard
              org.eclipse.amp.escape.ide.BasicProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class BasicProjectWizard

extends ProjectWizard

A simple AMF builder project. Creates basic documentations artifacts.

Author:
  milesparker, jonas.ruettimann

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`BasicProjectWizard()`

Method Summary
`protected java.lang.String` | `getCurrentPluginID()` Only needed for generating Status.
`protected java.lang.String` | `getProjectTypeName()`
`protected java.lang.String` | `getSourceDirName()`

Methods inherited from class org.eclipse.amp.escape.ide.ProjectWizard
`addPages, createFiles, getBuilders, getClasspathsEntries, getNatures, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### BasicProjectWizard

    public BasicProjectWizard()

Method Detail

### getProjectTypeName

    protected java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `ProjectWizard`

### getSourceDirName

    protected java.lang.String getSourceDirName()

  Specified by:
    `getSourceDirName` in class `ProjectWizard`

### getCurrentPluginID

    protected java.lang.String getCurrentPluginID()

  Description copied from class: `ProjectWizard`
  Only needed for generating Status.

  Specified by:
    `getCurrentPluginID` in class `ProjectWizard`
  Returns:
    the ID of the plugin the implementing class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD